summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorEduard Wirch2017-09-18 13:56:20 +0200
committerEduard Wirch2017-09-18 13:56:20 +0200
commit05cef6853fd9e302a89e61294a91c96cd52131cc (patch)
treea8587c66ab99587a437da04c13729747b8a3234f
parent4e98573ed940102593b8b18e3c5b7c68ece8c254 (diff)
downloadaur-05cef6853fd9e302a89e61294a91c96cd52131cc.tar.gz
Fix xhost invocation to allow Xerox driver to open X11 windows
-rw-r--r--.SRCINFO2
-rw-r--r--PKGBUILD2
-rw-r--r--xerox-prtdrv-xhost-permissions.desktop2
-rw-r--r--xeroxprtdrv.install4
4 files changed, 5 insertions, 5 deletions
diff --git a/.SRCINFO b/.SRCINFO
index be386d95e99..da8d45d1da7 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = xeroxprtdrv
pkgdesc = Xerox Unix Print Drivers
pkgver = 5.20.606.3946
- pkgrel = 1
+ pkgrel = 2
url = http://www.xerox.com
install = xeroxprtdrv.install
arch = i686
diff --git a/PKGBUILD b/PKGBUILD
index 129ae539de8..bdbbe2254e7 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,7 +3,7 @@
pkgname=xeroxprtdrv
pkgver=5.20.606.3946
-pkgrel=1
+pkgrel=2
pkgdesc="Xerox Unix Print Drivers"
arch=('i686' 'x86_64')
url="http://www.xerox.com"
diff --git a/xerox-prtdrv-xhost-permissions.desktop b/xerox-prtdrv-xhost-permissions.desktop
index f511d2f2379..997358e17d7 100644
--- a/xerox-prtdrv-xhost-permissions.desktop
+++ b/xerox-prtdrv-xhost-permissions.desktop
@@ -1,4 +1,4 @@
[Desktop Entry]
Name=Print-Time Dialog Permissions
Type=Application
-Exec=xhost +si:localuser:lp
+Exec=xhost +si:localgroup:lp
diff --git a/xeroxprtdrv.install b/xeroxprtdrv.install
index 8d73212e274..540e45eb782 100644
--- a/xeroxprtdrv.install
+++ b/xeroxprtdrv.install
@@ -17,9 +17,9 @@ post_install() {
/opt/Xerox/prtsys/PatchAppArmorPolicy || echo 'AppArmor policy patch failed' 1>> /tmp/PrtDrvInstaller.log 2>>/tmp/PrtDrvInstaller.log
if [ "_$DISPLAY" = "_" ]; then
- DISPLAY=:0.0 xhost +si:localuser:lp >> /dev/null 2>> /dev/null || echo 'Failed to grant lp xhost permissions' 1>> /tmp/PrtDrvInstaller.log
+ DISPLAY=:0.0 xhost +si:localgroup:lp >> /dev/null 2>> /dev/null || echo 'Failed to grant lp xhost permissions' 1>> /tmp/PrtDrvInstaller.log
else
- xhost +si:localuser:lp >> /tmp/PrtDrvInstaller.log 2>> /tmp/PrtDrvInstaller.log || echo 'Failed to grant lp xhost permissions' 1>> /tmp/PrtDrvInstaller.log
+ xhost +si:localgroup:lp >> /tmp/PrtDrvInstaller.log 2>> /tmp/PrtDrvInstaller.log || echo 'Failed to grant lp xhost permissions' 1>> /tmp/PrtDrvInstaller.log
fi
echo "Run xeroxprtmgr as root to administer print queues"
}